AlternativeContentEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.selection
Class AlternativeContentEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.selection.ServiceContextEvent
              javax.tv.service.selection.PresentationChangedEvent
                  javax.tv.service.selection.AlternativeContentEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AlternativeContentErrorEvent

    public class AlternativeContentEvent

extends PresentationChangedEvent

`AlternativeContentEvent` is generated to indicate that "alternative" content is being presented during the presentation of a service. Alternative content is content not actually part of the requested service, such as content related to conditional access failures (e.g., purchase dialogs or advertising for content for which the user is not yet authorized). The presentation of alternative content is always initiated by the system and never by applications.

This event will be generated in two situations:

- At the end of a successful service selection operation, this event will be generated if any of the service components being presented are alternative content. Under these conditions, the generation of this event signals a change in state of the service context from the presentation pending state to the presenting state. A `NormalContentEvent` will not be generated.
- During the presentation of a service, this event will be generated if any of the service components being presented are replaced by alternative content. One example of this is the expiration of a free preview period. In this case, generation of this event does not impact the service context state model.

Presentation failures enforced via a conditional access system may be reported by this event or by a `SelectionFailedEvent` with the `CA_REFUSAL` reason code. Which of these is used depends on the precise nature of the conditional access system. Applications must allow for both modes of failure.

See Also:
  `NormalContentEvent`, `SelectionFailedEvent`, Serialized Form

Constructor Summary
`AlternativeContentEvent(ServiceContext source)` Constructs the event.

Method Summary

Methods inherited from class javax.tv.service.selection.ServiceContextEvent
`getServiceContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlternativeContentEvent

    public AlternativeContentEvent(ServiceContext source)

  Constructs the event.

  Parameters:
    `source` - The `ServiceContext` that generated the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD